Subject: Re: [PATCH 7/8] powerpc/powernv: Implement ppc_call_opal()

From: Alexander Graf <[email-masked]>
Date: Mon, 19 May 2014 14:59:47 +0200

On 14.05.14 06:12, Gavin Shan wrote:
> If we're running PowerNV platform, ppc_firmware() will be directed
> to ppc_call_opal() where we can call to OPAL API accordingly. In
> ppc_call_opal(), the input argument are parsed out and call to
> appropriate OPAL API to handle that. Each request passed to the
> function is identified with token. As we get to the function either
> from host owned application (e.g. errinjct) or VM, we always have
> the first parameter (so-called "virtual") to differentiate the
> cases.

This sounds like nonsense. A virtual parameter? What is that supposed to be?

I don't think you can use this interface for VM device management, as 
the syscall interface is (hopefully!) limited to CAP_ADMIN which you 
(hopefully!) don't have as VFIO user.

Alex